> ## Documentation Index
> Fetch the complete documentation index at: https://help.teamm.work/llms.txt
> Use this file to discover all available pages before exploring further.

# POST /apps/register

> Create an application that you can use for TeamM public API.

### Body

<ParamField path="name" type="string" required>
  Name of your application
</ParamField>

<ParamField path="email" type="string" required>
  Email of your application
</ParamField>

<ParamField path="centerApiPublicKey" type="string" required>
  Public API key of the center
</ParamField>

Example:

```json theme={null}
{
	"name": "Kitchen inventory app",
	"email": "kitchen.inventory@mail.com",
	"centerApiPublicKey": "pk_abc123def456"
}
```

### Response

As a response you will get your APP ID.

<Warning>
  **Very important**: Save your app ID immediately as you cannot see it later!
  Make sure to store it securely as you'll need it for all future API calls.
</Warning>

```json theme={null}
{
	"appId": "a1b2c3d4-e5f6-7890-1234-56789abcdef0"
}
```
